.page-loader {
  @include abs-center();
  top: calc(50% + #{$header-height / 3});
  background: $white;
  width: 40%;
  height: auto;
  padding: #{$padding * 1.9} #{$padding * 2.4} #{$padding * 2.9};
  max-width: 20rem;
}

.page-loader__title {
  margin-bottom: $padding*1.2;
}

.page-loader__bar {
  height: 40px;
  width:100%;
  background: $white;
  position:relative;
  overflow: hidden;
}

.page-loader__bar__progress {
  position:absolute;
  top:0;
  right:0%;
  width:600%;
  height:100%;
  border-right: $border;
  transition: transform 16s linear;
  transform: translate3d(0%,0,0);
  &.animate {
    transform: translate3d(100%,0,0);
  }
}